locked
MDS 2012 RC0. This page requires a more recent version of Silverlight, even though I've got the latest. RRS feed

  • Question

  • Hi,

    I've have a Master data services 2012 installation which I want to put into production at a customer site.

    First we tried 2008 R2 and it didn't pass the customer evaluation criteria, but the "Denali" CTP3 did.

    Last week I upgraded the "Denali" CTP 3 MDS to 2012 RC0 and everything went smooth until I should open the MDS explorer to view the entity members. I get an error in a modal-box message saying "This page requires a more recent version of Silverlight...".

    So far so good so I upgraded to Silverlight 4.0.60831.0 and still recieved the same message so I went even further and upgraded Silverlight to the Release candidate 5.0.60818.0. Still the same result. This is quite frustrating when the link from the MS modalbox is leading to the Silverlight version 4.0.60831.0. What version of Silverlight is required?
    I'm running on Win Server 2008 R2, IE 8

    Best regards Magnus Wernersson

    Saturday, November 26, 2011 10:48 PM

Answers

  • If it still ask for installing Siverlight after you install the latest version, please delete all the IE Browsing history and try again. Make sure you are opening the 32bit IE rather than 64bit.
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.

    • Marked as answer by Challen Fu Sunday, December 4, 2011 7:30 AM
    Wednesday, November 30, 2011 12:03 PM

All replies

  • Hi,

    There is currently a known issue that will be automatically resolved in the next few weeks. For now, please download Silverlight 5 from: http://go2.microsoft.com/fwlink/?LinkId=116053&v=5.0.61025.0

     

    Thanks,

    Amitai Rottem, MSFT

    Sunday, November 27, 2011 3:54 AM
  • By the way, when I tried Amitai's solution, it only worked in IE 9 32-bit. 64-bit browser still shows a graphical to download Silverlight.

     

    Screenshot of IE9 64-bit:

     

    I'm not sure if there is a 64-bit equivalent to the installer of that working build, or if the bitness issues are a different problem.

     

    Thanks, Jason


    Didn't get enough help here? Submit a case with the Microsoft Customer Support team for deeper investigation - http://support.microsoft.com/select/default.aspx?target=assistance
    Tuesday, November 29, 2011 5:26 AM
  • Hi,

     

    I don't believe that you can run Silverlight in the 64-bit edition of IE9


    Magnus Wernersson
    Wednesday, November 30, 2011 11:09 AM
  • If it still ask for installing Siverlight after you install the latest version, please delete all the IE Browsing history and try again. Make sure you are opening the 32bit IE rather than 64bit.
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.

    • Marked as answer by Challen Fu Sunday, December 4, 2011 7:30 AM
    Wednesday, November 30, 2011 12:03 PM
  • Hi,

    I've deleted browser's history and still having this issue (even running 32-bit IE9).
    Any ideas? How is it possible that Release Candidate produces problems of this kind??? Anyone has ever tested this thing? :-)

    Cheers,


    Pawel Potasinski, SQL Server MVP My blog: http://sqlgeek.pl
    Tuesday, December 6, 2011 7:45 AM
  • Yes we tested this. Be nice :-)

    Just to make sure, only one link works-

    Only this silverlight download is compatible with MDS, and not other v5 Release Candidate links ...

    http://go2.microsoft.com/fwlink/?LinkId=116053&v=5.0.61025.0

     

    x64 Silverlight was available in a prior 5 RC release but that one is not compabile with MDS RC0. I expect the Silverlight team may release another x64 silverlight 5 plugin at RTM timeframe.

     

    Thanks, Jason


    Didn't get enough help here? Submit a case with the Microsoft Customer Support team for deeper investigation - http://support.microsoft.com/select/default.aspx?target=assistance
    Tuesday, December 6, 2011 10:14 PM
  • Silverlight 5 has released RTM now (out of beta phase). http://www.microsoft.com/silverlight/

    It is available in 32-bit and 64-bit flavors for IE browsers, and so far MDS works well in both.

    Direct download here http://go.microsoft.com/fwlink/?LinkId=149156

    One tip: Currently Silverlight 5 is not supported on new IE browsers in Windows Server 2008 SP2 - only IE7 on that browser.

    This website runs a check to see which version you have, and lists the matrix of the browsers and the supported versions on the system requirements tab.
     
    If you have trouble, make sure to remove any old version of Silverlight 4 from Add-Remove programs, clear cached files in history in IE, close all IE windows, make sure in task manager iexplorer.exe are all gone, then install Silverlight 5, and check the URL above to see which version is detected.
     
    Thanks, Jason

    Didn't get enough help here? Submit a case with the Microsoft Customer Support team for deeper investigation - http://support.microsoft.com/select/default.aspx?target=assistance
    Thursday, December 15, 2011 10:28 PM